Jump to content

Frostfall, Campfire, and Wearable Lanterns STEP Compatibility


Zarok_Aleon
 Share

Recommended Posts

I know these mods are not part of step but I am wondering if they are compatible and if anyone has any advice for how to install them or when in the order of installing them I should. They seem to be very compatible but I was wondering if anyone else running STEP also had them all working correctly?

I know they have been included in the past but I am unsure how to test them.

Thanks a bunch!

Link to comment
Share on other sites

It is nothing too complicated. Make sure you get any patches for relevant STEP mods. Use loot to sort for the load order. I never had any issues. 

I would look into The Frozen North. It is much less tiring and intrusive than frostfall. Make sure to use the Cold Standalone version for compatibility with CACO and such. 

Link to comment
Share on other sites

1 hour ago, Eliian said:

Make sure you get any patches for relevant STEP mods.

Is there anyway of knowing what all mods need to be reinstalled with the proper settings or the patches needed? Sorry, but with nearly 300 mods I am not sure which may need reconfiguring.

Link to comment
Share on other sites

20 hours ago, Zarok_Aleon said:

Is there anyway of knowing what all mods need to be reinstalled with the proper settings or the patches needed? Sorry, but with nearly 300 mods I am not sure which may need reconfiguring.

It has been awhile since I used frostfall. I think all three are fairly standalone. They mostly add in stuff and so should be fine. I would say see if loot recommends any patches to start.

Otherwise go here. https://www.nexusmods.com/skyrimspecialedition/mods/19518?tab=files. Use the campfire patch for Complete Crafting Overhaul Remastered

Link to comment
Share on other sites

There is a campfire patch for the crafting overhaul and embers HD also has a patch for it. Then in the last steps there are patches such as the useless patches. There is a one for campfire there and there is one in kryptos. There is also a patch for an issue with wearable lanterns. Another great Chesko mod. I have been messing with this alot over the weekend. I started over from scratch and checked each mod for mentions. Nothing mentions Frostfall. I also found a few other mods I love that I can use and I have been testing them. Finally going to start step 5 now and then I can finally insure stability and start playing.

Thanks for your help!

 

Link to comment
Share on other sites

  • 5 weeks later...
On 8/16/2021 at 1:53 PM, Zarok_Aleon said:

There is a campfire patch for the crafting overhaul and embers HD also has a patch for it. Then in the last steps there are patches such as the useless patches. There is a one for campfire there and there is one in kryptos. There is also a patch for an issue with wearable lanterns. Another great Chesko mod. I have been messing with this alot over the weekend. I started over from scratch and checked each mod for mentions. Nothing mentions Frostfall. I also found a few other mods I love that I can use and I have been testing them. Finally going to start step 5 now and then I can finally insure stability and start playing.

Thanks for your help!

 

How did this end up working out?  I am getting back into skyrim, and doing my first ever STEP SE installation.  I would love to add these three and cloaks of skyrim as well. Do you have a recommended install order/position?  

 

Thanks!!

Edited by batxter
Link to comment
Share on other sites

  • 1 month later...

Sorry I just now saw this, there were a few mods I needed to change for proper compatibility, but if you start, knowing you what you will be adding, then just look for those changes to the installers.

According to my notes, Embers HD needed something, I think for campfire. there were also additional patches form useless patches, and there is a patch for CACO. I also needed to add some mods to fix issues with frostfall. Be aware frostfall SKYUI if broken as hell and I couldn't find a fix, but the affects still work. I don't know about cloaks.

There is a papyrus issue and I had to move campfire way high in my load order, its at position like 6. Just look for what over rides what and ensure that's right. In this case you need papyrus to over ride campfire so campfire must go first.

Also wearable lanterns took I think two patches on nexus to work. maybe it was just one but I found them easily enough

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.